View Issue Details

IDProjectCategoryView StatusLast Update
0014973LazarusLCLpublic2010-08-31 15:52
ReporterSven BarthAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0014973: WinCE: Can't change menu item caption in soft key bar
DescriptionWhen I change the caption of a menu item with *.Caption, which sits in the soft key bar of Windows Mobile, the caption isn't updated.

The caption is only changed when a TB_SETBUTTONINFO message is sent to the menu bar containing the new caption.
Additional InformationTested on WM 6.0, but I believe it also persists on 5 and 6.5 (Pocket PC Phone versions)

Attached is an example application where you can change the captions on the bar with the two buttons on the form. The left button uses the message method, while the right sets the caption directly.
TagsNo tags attached.
Fixed in Revision25810
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

related to 0016435 closedFelipe Monteiro de Carvalho Cannot change caption of MainMenuItem if Item has subitem, WinCE 
related to 0016481 closedFelipe Monteiro de Carvalho WinCE, Menubehaviour if only mainmenu 2 iitems 
related to 0016332 closedFelipe Monteiro de Carvalho Menu on WinCe 

Activities

2009-11-02 12:58

 

menutest.zip (2,372 bytes)

Felipe Monteiro de Carvalho

2010-05-31 23:34

developer   ~0038187

Thanks, I used your code to implement it.

Sven Barth

2010-08-31 15:52

manager   ~0040680

You're welcome.

And thanks for fixing.

Issue History

Date Modified Username Field Change
2009-11-02 12:58 Sven Barth New Issue
2009-11-02 12:58 Sven Barth File Added: menutest.zip
2009-11-02 12:58 Sven Barth Widgetset => WinCE
2009-11-02 14:22 Felipe Monteiro de Carvalho Status new => assigned
2009-11-02 14:22 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2010-05-31 23:34 Felipe Monteiro de Carvalho Fixed in Revision => 25810
2010-05-31 23:34 Felipe Monteiro de Carvalho LazTarget => -
2010-05-31 23:34 Felipe Monteiro de Carvalho Status assigned => resolved
2010-05-31 23:34 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-05-31 23:34 Felipe Monteiro de Carvalho Resolution open => fixed
2010-05-31 23:34 Felipe Monteiro de Carvalho Note Added: 0038187
2010-05-31 23:35 Felipe Monteiro de Carvalho Relationship added related to 0016435
2010-05-31 23:37 Felipe Monteiro de Carvalho Relationship added related to 0016481
2010-06-01 07:55 Felipe Monteiro de Carvalho Relationship added related to 0016332
2010-08-31 15:52 Sven Barth Status resolved => closed
2010-08-31 15:52 Sven Barth Note Added: 0040680